regina::detail::FaceListHolder< BoundaryComponentFaceStorage< dim, true >, subdim > Struct Template Reference
Implementation details

Helper class that indicates what data type is used by a boundary component class to store a list of subdim-faces. More...

`#include <triangulation/detail/boundarycomponent.h>`

## Public Types

typedef std::vector< Face< dim, subdim > * > | Holder
| The data type used by BoundaryComponent<dim> to store the list of all subdim-faces of the boundary component. More...

## Detailed Description

### template<int dim, int subdim>
struct regina::detail::FaceListHolder< BoundaryComponentFaceStorage< dim, true >, subdim >

Helper class that indicates what data type is used by a boundary component class to store a list of subdim-faces.

This is only relevant for boundary components in Regina's standard dimensions, since boundary components in higher dimensions do not store their lower-dimensional faces.

## Member Typedef Documentation

## Holder

template<int dim, int subdim>

typedef std::vector<Face<dim, subdim>*> regina::detail::FaceListHolder< BoundaryComponentFaceStorage< dim, true >, subdim >::Holder

The data type used by BoundaryComponent<dim> to store the list of all subdim-faces of the boundary component.

The function BoundaryComponent<dim>::faces<subdim>() returns a const reference to this type.

The documentation for this struct was generated from the following file:

- triangulation/detail/boundarycomponent.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).